<script setup lang="ts">
import { ChevronLgRight } from 'slippers-ui/icons';
import type { BaseLink } from '@/types/base';

defineProps({
  title: {
    type: String,
    required: false,
  },
  button: {
    type: Object as PropType<BaseLink>,
    required: false,
  },
  stats: {
    type: Array as PropType<{ title: string; description: string }[]>,
    required: true,
  },
  description: {
    type: String,
    required: false,
  },
  config: {
    type: Object as PropType<{ background?: 'purple' }>,
    required: false,
  },
});
</script>

<template>
  <section class="statistics" :class="{ 'background-purple': config?.background === 'purple' }">
    <SlpContainer>
      <SlpTypography variant="heading2-bold" tag="div" class="statistics__header">
        <h2 v-html="title"></h2>
      </SlpTypography>
      <SlpRow class="slp-my-32">
        <SlpColumn v-for="stat in stats" :key="stat.title" cols="4" class="statistics__column">
          <SlpTypography variant="display1" tag="h3" class="statistics__gradient-text">
            {{ stat.title }}
          </SlpTypography>
          <SlpTypography variant="body1-bold" tag="p">
            {{ stat.description }}
          </SlpTypography>
        </SlpColumn>
      </SlpRow>
      <SlpTypography v-if="description" variant="body2" tag="p" class="statistics__description">
        {{ description }}
      </SlpTypography>
      <SlpButton
        v-if="button"
        class="slp-mt-32"
        :href="button.config.href"
        variant="tertiary"
        :data-ga-name="button.config.dataGaName"
        :data-ga-location="button.config.dataGaLocation"
        >{{ button.text }}
        <SlpIcon :icon="ChevronLgRight" size="sm" class="slp-ml-8" />
      </SlpButton>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.statistics {
  padding: 120px 0;
  position: relative;
  &.background-purple {
    background-color: $color-surface-800;

    &:before {
      content: '';
      background: $color-surface-800 !important;
      height: 100%;
      left: -50vw;
      position: absolute;
      top: 0;
      width: 200vw;
      z-index: -1;
    }
  }

  @media (max-width: $breakpoint-md) {
    padding: $spacing-64 0;
  }

  &__header {
    max-width: 70%;
  }

  &__column {
    padding-right: $spacing-32;
  }

  &__gradient-text {
    background: linear-gradient(
      91deg,
      rgba(227, 153, 93, 0.7) -13.29%,
      rgba(203, 146, 150, 0.7) -4.09%,
      rgba(127, 72, 214, 0.7) 66.61%
    );
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 64px;
    font-weight: 800;
  }
  &__description {
    color: $color-text-200;
    @media (min-width: $breakpoint-md) {
      max-width: 60%;
    }
  }

  @media (max-width: $breakpoint-md) {
    &__column {
      margin-top: $spacing-32;
    }

    &__header {
      max-width: 100%;
    }
  }
}
</style>
